<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_c_sharp.html">CSharp</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html">CSharpCompilationResult</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_result_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_result_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_result_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,220,136"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html" title="Contains the result of the CodeGenerator&#39;s compile method" alt="" coords="49,5,176,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_result_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_result_coll__map" id="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_result_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,220,136"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html" title="Contains the result of the CodeGenerator&#39;s compile method" alt="" coords="49,5,176,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5f3fbd7ca0e9bd37656427a0e9e9a7e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a5f3fbd7ca0e9bd37656427a0e9e9a7e7">CSharpCompilationResult</a> (bool success, byte[] compiled=null, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> statementsFile=null, string[] refFiles=null)</td></tr>
<tr class="separator:a5f3fbd7ca0e9bd37656427a0e9e9a7e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html">xAPI_Definitions_Parser.Code.CompilationResult</a></td></tr>
<tr class="memitem:aa053f60d45dd9f27a233ff114d6fb926 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#aa053f60d45dd9f27a233ff114d6fb926">CompilationResult</a> (bool success)</td></tr>
<tr class="separator:aa053f60d45dd9f27a233ff114d6fb926 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a8c291d258dbd5b1923becae87cf526b6"><td class="memItemLeft" align="right" valign="top">byte[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a8c291d258dbd5b1923becae87cf526b6">Compiled</a><code> [get]</code></td></tr>
<tr class="memdesc:a8c291d258dbd5b1923becae87cf526b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compiled DLL as a byte array  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a8c291d258dbd5b1923becae87cf526b6">More...</a><br /></td></tr>
<tr class="separator:a8c291d258dbd5b1923becae87cf526b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29c96044a3cc36c18b42c2bfc68bee73"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a29c96044a3cc36c18b42c2bfc68bee73">StatementsFile</a><code> [get]</code></td></tr>
<tr class="separator:a29c96044a3cc36c18b42c2bfc68bee73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3521263aba1f6d862c696a26e2a17d4d"><td class="memItemLeft" align="right" valign="top">string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a3521263aba1f6d862c696a26e2a17d4d">RefFiles</a><code> [get]</code></td></tr>
<tr class="separator:a3521263aba1f6d862c696a26e2a17d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td colspan="2" onclick="javascript:toggleInherit('properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html">xAPI_Definitions_Parser.Code.CompilationResult</a></td></tr>
<tr class="memitem:a495204a5f8c8aae9bd5785d7d17a171d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#a495204a5f8c8aae9bd5785d7d17a171d">Success</a><code> [get]</code></td></tr>
<tr class="memdesc:a495204a5f8c8aae9bd5785d7d17a171d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td class="mdescLeft">&#160;</td><td class="mdescRight">Was the compilation successful or not  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#a495204a5f8c8aae9bd5785d7d17a171d">More...</a><br /></td></tr>
<tr class="separator:a495204a5f8c8aae9bd5785d7d17a171d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5f3fbd7ca0e9bd37656427a0e9e9a7e7" name="a5f3fbd7ca0e9bd37656427a0e9e9a7e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f3fbd7ca0e9bd37656427a0e9e9a7e7">&#9670;&nbsp;</a></span>CSharpCompilationResult()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult.CSharpCompilationResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>success</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">byte[]&#160;</td>
          <td class="paramname"><em>compiled</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>statementsFile</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string[]&#160;</td>
          <td class="paramname"><em>refFiles</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a8c291d258dbd5b1923becae87cf526b6" name="a8c291d258dbd5b1923becae87cf526b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c291d258dbd5b1923becae87cf526b6">&#9670;&nbsp;</a></span>Compiled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">byte [] xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult.Compiled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compiled DLL as a byte array </p>

</div>
</div>
<a id="a3521263aba1f6d862c696a26e2a17d4d" name="a3521263aba1f6d862c696a26e2a17d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3521263aba1f6d862c696a26e2a17d4d">&#9670;&nbsp;</a></span>RefFiles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string [] xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult.RefFiles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29c96044a3cc36c18b42c2bfc68bee73" name="a29c96044a3cc36c18b42c2bfc68bee73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29c96044a3cc36c18b42c2bfc68bee73">&#9670;&nbsp;</a></span>StatementsFile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult.StatementsFile</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/CSharp/<a class="el" href="_c_sharp_compilation_result_8cs.html">CSharpCompilationResult.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
